/*
 * Proyecto Final: Estructura de Datos
 * Diccionario
 * JACE - JDSM - ADUA - AAVJ
 */
package Vista;

import Controlador.dao.PalabraSugeridaDao;
import javax.swing.JOptionPane;

public class FrmSugerirPalabra extends javax.swing.JFrame {

    PalabraSugeridaDao palabrasugeridaDao = new PalabraSugeridaDao();

    /**
     * Creates new form FrmSugerirPalabra
     */
    public FrmSugerirPalabra() {
        initComponents();

    }

    /**
     * Permite guardar cada palabra sugerida ingresada por un usuario
     */
    public void guardar() {
        palabrasugeridaDao.setPalabraSugerida(null);
        palabrasugeridaDao.getPalabraSugerida().setNombreUsuario(FrmPrincipal.lblNombreUsuario.getText());
        palabrasugeridaDao.getPalabraSugerida().setPalabra(txtPalabraSugerida.getText());
        if (palabrasugeridaDao.getPalabraSugerida().getId() == null) {
            if (palabrasugeridaDao.guardar()) {
                JOptionPane.showMessageDialog(this, "Gracias por sugerir una nueva palabra :D");
                this.dispose();
            } else {
                JOptionPane.showMessageDialog(this, "No registrado");
            }
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelSugerencias = new javax.swing.JPanel();
        lblTitulo = new javax.swing.JLabel();
        lblPalabraSugerida = new javax.swing.JLabel();
        txtPalabraSugerida = new javax.swing.JTextField();
        btnEnviarSugerencia = new javax.swing.JButton();
        txtIconoImagen = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(null);

        panelSugerencias.setLayout(null);

        lblTitulo.setFont(new java.awt.Font("Tempus Sans ITC", 1, 24)); // NOI18N
        lblTitulo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTitulo.setText("Sugerencias de Nuevas Palabras");
        panelSugerencias.add(lblTitulo);
        lblTitulo.setBounds(0, 20, 370, 40);

        lblPalabraSugerida.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        lblPalabraSugerida.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblPalabraSugerida.setText("<html>Ingrese la palabra que desea sugerir</html>");
        panelSugerencias.add(lblPalabraSugerida);
        lblPalabraSugerida.setBounds(60, 130, 110, 30);

        txtPalabraSugerida.setToolTipText("Solo ingrese una sola palabra");
        txtPalabraSugerida.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtPalabraSugeridaKeyTyped(evt);
            }
        });
        panelSugerencias.add(txtPalabraSugerida);
        txtPalabraSugerida.setBounds(190, 130, 210, 30);

        btnEnviarSugerencia.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnEnviarSugerencia.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_listo.png"))); // NOI18N
        btnEnviarSugerencia.setText("Enviar Sugerencia");
        btnEnviarSugerencia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                EnviarSugerirPalabra(evt);
            }
        });
        panelSugerencias.add(btnEnviarSugerencia);
        btnEnviarSugerencia.setBounds(220, 180, 150, 30);

        txtIconoImagen.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        txtIconoImagen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_sugerencia.png"))); // NOI18N
        panelSugerencias.add(txtIconoImagen);
        txtIconoImagen.setBounds(380, 10, 70, 60);

        getContentPane().add(panelSugerencias);
        panelSugerencias.setBounds(0, 0, 460, 300);

        setSize(new java.awt.Dimension(476, 341));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void EnviarSugerirPalabra(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_EnviarSugerirPalabra
        if (txtPalabraSugerida.getText().trim().length() > 0) {
            if (!palabrasugeridaDao.PalabraRepetida(txtPalabraSugerida.getText())) {
                guardar();
            } else {
                JOptionPane.showMessageDialog(this, "El nombre de esta palabra ya está registrada :D", "Alerta", JOptionPane.WARNING_MESSAGE);
                txtPalabraSugerida.setText("");
            }
        } else {
            JOptionPane.showMessageDialog(this, "Ingrese una palabra", "Alerta", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_EnviarSugerirPalabra

    private void txtPalabraSugeridaKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtPalabraSugeridaKeyTyped
        // TODO add your handling code here:
        char validar = evt.getKeyChar();
        if (Character.isDigit(validar)) {
            getToolkit().beep();
            evt.consume();
            JOptionPane.showMessageDialog(rootPane, "Ingrese solo letras", "Alerta", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_txtPalabraSugeridaKeyTyped

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmSugerirPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmSugerirPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmSugerirPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmSugerirPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmSugerirPalabra().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnEnviarSugerencia;
    private javax.swing.JLabel lblPalabraSugerida;
    private javax.swing.JLabel lblTitulo;
    private javax.swing.JPanel panelSugerencias;
    private javax.swing.JLabel txtIconoImagen;
    private javax.swing.JTextField txtPalabraSugerida;
    // End of variables declaration//GEN-END:variables
}
